[![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/F1F65KGH9)
# Modding Server:
[![discord server](https://i.imgur.com/kym7QnV.png)](https://discord.gg/me7P53smzk)
click me

# Overview
- All normal stages except for Commencement (so not including any Hidden Realms or other stages that don't advance the stage count once you clear them) will roll for either vanilla or a variant. Commencement has a single variant that will always be on. If desired, any color scheme (including the vanilla stage) can be disabled in config.
- If a variant is selected, changes are made to post-processing (mostly Ramp Fog and Color Grading), global lighting, individual props and even entire material sets to alter the stage's appearance. For example, the variants included for Titanic Plains are inspired from various trailers - an orange one from very early footage of the game, and an overcast one vaguely similar to the console trailer.
- Once a variant is used, it cannot be chosen for the next time the stage is loaded unless there are no other options.
- Some unused stage props (most notably the border statues in Abandoned Aqueduct) may be enabled.
- The mod currently features **59** visual variants.
- Don't tell me you don't want this. I don't think this is for everyone, but then a neon ak isn't for everyone either. But for the people who like this sort of thing, it can be everything. So how about this va-

# To-do
- Add more variants

# Known Bugs
- Variants with material changes bug out *sometimes*, not swapping the materials properly. I REAAAALLY need some super uber mega giga ultrachad experienced modder to step in here as I have no idea how to fix this
- - Seems to be random
- - Happens uncommonly
- - Only affects terrain materials, or conjoined materials in Sulfur Pools' case???
- SERIOUSLY please heeeeeelp with the bug above, this is hell

- Loading into Commencement with ProperSave makes everyone spawn in midair near the big middle pillar and the visual changes don't run
- - Disabling the Commencement alt also does something similar
- Most light effects do not have shadows. This is vanilla behavior, and I've decided to leave it in to aid visibility and performance
- Certain stages still have clashing spots on the skybox. Probably most notable in Rallypoint Delta
- Setting Titanic Plains Bridge Chance to 100% makes no interactables spawn. I have no idea how to fix this

# Shoutouts
- FMRadio11 for the codebase
- SSM24 and Moffein for figuring out the networking ! !
- Everyone who provided variant ideas (HIFU, FMRadio11, Jaysian, breadguy, Slipskip, Heyimnoop). Having existing content to work with is significantly easier even if it's just basic color ideas

# Screenshots
<details>
<summary>Click me (literally free wallpapers ! !)</summary>

![1](https://cdn.discordapp.com/attachments/874994540992421898/1017907514026766407/unknown.png)
![2](https://cdn.discordapp.com/attachments/874994540992421898/1017907647225270282/unknown.png)
![3](https://cdn.discordapp.com/attachments/874994540992421898/1017907867841462392/unknown.png)
![4](https://cdn.discordapp.com/attachments/874994540992421898/1017908031654207578/unknown.png)
![5](https://cdn.discordapp.com/attachments/874994540992421898/1017908250261336095/unknown.png)
![6](https://cdn.discordapp.com/attachments/874994540992421898/1017908337255383170/unknown.png)
![7](https://cdn.discordapp.com/attachments/874994540992421898/1017908500086673418/unknown.png)
![8](https://cdn.discordapp.com/attachments/874994540992421898/1017908675492466728/unknown.png)
![9](https://cdn.discordapp.com/attachments/874994540992421898/1017908789816594442/unknown.png)
![10](https://cdn.discordapp.com/attachments/874994540992421898/1017908902563696730/unknown.png)
![11](https://cdn.discordapp.com/attachments/874994540992421898/1017909080314089562/unknown.png)
![12](https://cdn.discordapp.com/attachments/874994540992421898/1017909192906002504/unknown.png)
![13](https://cdn.discordapp.com/attachments/874994540992421898/1017909397806121080/unknown.png)
![14](https://cdn.discordapp.com/attachments/874994540992421898/1017909547618275418/unknown.png)
![15](https://cdn.discordapp.com/attachments/874994540992421898/1017909889131102249/unknown.png)
![16](https://cdn.discordapp.com/attachments/874994540992421898/1017910196489703485/unknown.png)
</details>

# 0.7.0 Patch Notes
<details>

- I highly recommend resetting your config now
- Tweaked many variants
- Added Risk of Options support
- Added Sandy Grove
- Added Sandy Meadow
- Reworked Ocean Delta, Night Delta
- Reworked Crimson Meadow to Abyssal Meadow
- Disabled some uglier and vanilla variants in the config
- Semi-fixed pink texture bug (they will default to standard textures, fog and other props may look off)
- The next update will contain a whole bunch of variants, just haven't had the time to update because of school
</details>

# 0.6.0 Patch Notes
<details>

- Tweaked Crimson Forest, Night Sanctuary, Sunset Acres, Olive Grove and Crimson Meadow
- Added Morning Forest
- Added Sandy Plains
- Added Abyssal Roost
- Added Abyssal Aphelian
- Added Sundered Aqueduct
- Added Titanic Delta
- Added Beta Acres, Beta Acres 2, Twilight Acres
- Added Void Pools
- Added Coral Depths
- Added Siren's Sanctuary
- Small bugfixes
- Small optimizations
</details>

# 0.5.0 Patch Notes
<details>

- Networked the mod
- - Everyone must have the same config in order for this to work properly!
- Small bugfixes
- Small optimizations
</details>

# 0.4.0 Patch Notes
<details>

- Tweaked Commencement lighting
- Separated Titanic Plains Vanilla changes into its own variant - Sunrise
- Added Void Roost
- Added Nostalgia Plains
- Added Void Aspect
- Added Hell Pools
- Added Titanic Meadow
- Added Green, Blue, Pink Locus
</details>

# 0.3.0 Patch Notes
<details>

- Updated to SOTV
- Tweaked Green Acres, Night Meadow and Commencement
- Added Night Forest, Extra Snowy Forest, Crimson Forest
- Added Night Sanctuary, Twilight Sanctuary, Sunrise Sanctuary
- Added Coral Pools
- Revived the mod and changed the owner ig
- Optimized code somewhat, still a mess though
</details>